Changeset 479


Ignore:
Timestamp:
Sep 12, 2013 6:04:25 AM (4 years ago)
Author:
stefan
Message:

run autotools with BuildTools?/stable/0.7

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/CoinMP/configure

    r477 r479  
    10871087                          icl/link). Default when mentioned: mingw. Default
    10881088                          when not mentioned: disabled.
    1089 
    10901089  --enable-static[=PKGS]
    10911090                          build static libraries [default=no]
     
    19391938echo "$as_me: DOS compile style is: $enable_doscompile" >&6;}
    19401939  fi
    1941 
    1942 
    1943 # Check whether --enable-static-standardlibs or --disable-static-standardlibs was given.
    1944 if test "${enable_static_standardlibs+set}" = set; then
    1945   enableval="$enable_static_standardlibs"
    1946   case "$enableval" in
    1947      no | yes | auto ) ;;
    1948      *)
    1949        { { echo "$as_me:$LINENO: error: invalid argument for --enable-static-standardlibs: $enableval" >&5
    1950 echo "$as_me: error: invalid argument for --enable-static-standardlibs: $enableval" >&2;}
    1951    { (exit 1); exit 1; }; } ;;
    1952    esac
    1953    use_static_standardlibs=$enableval
    1954 else
    1955   use_static_standardlibs=no
    1956 fi;
    1957 
    19581940
    19591941
     
    30953077    CFLAGS="$OPT_CFLAGS"
    30963078  fi
    3097 
    30983079else
    30993080  CFLAGS="$CFLAGS $ADD_CFLAGS $CDEFS"
     
    32643245esac
    32653246
    3266 # check whether to add flags for static linking against standard libraries to LDFLAGS
    3267 if test x$use_static_standardlibs != xno ; then
    3268   case $build in
    3269     *-mingw*)
    3270       static_standardlib_flag=-static
    3271       ;;
    3272     *)
    3273       static_standardlib_flag=-static-libgcc
    3274       ;;
    3275   esac
    3276   case " $LDFLAGS " in
    3277     *" $static_standardlib_flag "* ) ;;
    3278     *)
    3279     echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
    3280 echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
    3281     coin_save_LDFLAGS="$LDFLAGS"
    3282     LDFLAGS="$LDFLAGS $static_standardlib_flag"
    3283     cat >conftest.$ac_ext <<_ACEOF
    3284 /* confdefs.h.  */
    3285 _ACEOF
    3286 cat confdefs.h >>conftest.$ac_ext
    3287 cat >>conftest.$ac_ext <<_ACEOF
    3288 /* end confdefs.h.  */
    3289 
    3290 int
    3291 main ()
    3292 {
    3293 int i=0;
    3294   ;
    3295   return 0;
    3296 }
    3297 _ACEOF
    3298 rm -f conftest.$ac_objext conftest$ac_exeext
    3299 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    3300   (eval $ac_link) 2>conftest.er1
    3301   ac_status=$?
    3302   grep -v '^ *+' conftest.er1 >conftest.err
    3303   rm -f conftest.er1
    3304   cat conftest.err >&5
    3305   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3306   (exit $ac_status); } &&
    3307          { ac_try='test -z "$ac_c_werror_flag"
    3308                          || test ! -s conftest.err'
    3309   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3310   (eval $ac_try) 2>&5
    3311   ac_status=$?
    3312   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3313   (exit $ac_status); }; } &&
    3314          { ac_try='test -s conftest$ac_exeext'
    3315   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3316   (eval $ac_try) 2>&5
    3317   ac_status=$?
    3318   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3319   (exit $ac_status); }; }; then
    3320   echo "$as_me:$LINENO: result: yes" >&5
    3321 echo "${ECHO_T}yes" >&6
    3322 else
    3323   echo "$as_me: failed program was:" >&5
    3324 sed 's/^/| /' conftest.$ac_ext >&5
    3325 
    3326 echo "$as_me:$LINENO: result: no" >&5
    3327 echo "${ECHO_T}no" >&6
    3328        LDFLAGS="$coin_save_LDFLAGS"
    3329        if test $use_static_standardlibs = yes ; then
    3330          { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
    3331 echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
    3332    { (exit 1); exit 1; }; }
    3333        fi
    3334 
    3335 fi
    3336 rm -f conftest.err conftest.$ac_objext \
    3337       conftest$ac_exeext conftest.$ac_ext
    3338     ;;
    3339   esac
    3340 fi
    3341 
    33423247ac_ext=c
    33433248ac_cpp='$CPP $CPPFLAGS'
     
    33493254
    33503255 #Let's try if that overcomes configuration problem with VC++ 6.0
    3351 
    33523256
    33533257ac_ext=cc
     
    43024206esac
    43034207
    4304 # check whether to add flag for static linking against standard libraries to LDFLAGS
    4305 if test x$use_static_standardlibs != xno ; then
    4306   case $build in
    4307     *-mingw*)
    4308       static_standardlib_flag=-static
    4309       ;;
    4310     *)
    4311       static_standardlib_flag=-static-libstdc++
    4312       ;;
    4313   esac
    4314   case " $LDFLAGS " in
    4315     *" $static_standardlib_flag "* ) ;;
    4316     *)
    4317     echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
    4318 echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
    4319     coin_save_LDFLAGS="$LDFLAGS"
    4320     LDFLAGS="$LDFLAGS $static_standardlib_flag"
    4321     cat >conftest.$ac_ext <<_ACEOF
    4322 /* confdefs.h.  */
    4323 _ACEOF
    4324 cat confdefs.h >>conftest.$ac_ext
    4325 cat >>conftest.$ac_ext <<_ACEOF
    4326 /* end confdefs.h.  */
    4327 
    4328 int
    4329 main ()
    4330 {
    4331 int i=0;
    4332   ;
    4333   return 0;
    4334 }
    4335 _ACEOF
    4336 rm -f conftest.$ac_objext conftest$ac_exeext
    4337 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    4338   (eval $ac_link) 2>conftest.er1
    4339   ac_status=$?
    4340   grep -v '^ *+' conftest.er1 >conftest.err
    4341   rm -f conftest.er1
    4342   cat conftest.err >&5
    4343   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4344   (exit $ac_status); } &&
    4345          { ac_try='test -z "$ac_cxx_werror_flag"
    4346                          || test ! -s conftest.err'
    4347   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4348   (eval $ac_try) 2>&5
    4349   ac_status=$?
    4350   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4351   (exit $ac_status); }; } &&
    4352          { ac_try='test -s conftest$ac_exeext'
    4353   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4354   (eval $ac_try) 2>&5
    4355   ac_status=$?
    4356   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4357   (exit $ac_status); }; }; then
    4358   echo "$as_me:$LINENO: result: yes" >&5
    4359 echo "${ECHO_T}yes" >&6
    4360 else
    4361   echo "$as_me: failed program was:" >&5
    4362 sed 's/^/| /' conftest.$ac_ext >&5
    4363 
    4364 echo "$as_me:$LINENO: result: no" >&5
    4365 echo "${ECHO_T}no" >&6
    4366        LDFLAGS="$coin_save_LDFLAGS"
    4367        if test $use_static_standardlibs = yes ; then
    4368          { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
    4369 echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
    4370    { (exit 1); exit 1; }; }
    4371        fi
    4372 
    4373 fi
    4374 rm -f conftest.err conftest.$ac_objext \
    4375       conftest$ac_exeext conftest.$ac_ext
    4376     ;;
    4377   esac
    4378 fi
    4379 
    43804208ac_ext=c
    43814209ac_cpp='$CPP $CPPFLAGS'
     
    61465974*-*-irix6*)
    61475975  # Find out which ABI we are using.
    6148   echo '#line 6148 "configure"' > conftest.$ac_ext
     5976  echo '#line 5976 "configure"' > conftest.$ac_ext
    61495977  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    61505978  (eval $ac_compile) 2>&5
     
    72807108
    72817109# Provide some information about the compiler.
    7282 echo "$as_me:7282:" \
     7110echo "$as_me:7110:" \
    72837111     "checking for Fortran 77 compiler version" >&5
    72847112ac_compiler=`set X $ac_compile; echo $2`
     
    83478175   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    83488176   -e 's:$: $lt_compiler_flag:'`
    8349    (eval echo "\"\$as_me:8349: $lt_compile\"" >&5)
     8177   (eval echo "\"\$as_me:8177: $lt_compile\"" >&5)
    83508178   (eval "$lt_compile" 2>conftest.err)
    83518179   ac_status=$?
    83528180   cat conftest.err >&5
    8353    echo "$as_me:8353: \$? = $ac_status" >&5
     8181   echo "$as_me:8181: \$? = $ac_status" >&5
    83548182   if (exit $ac_status) && test -s "$ac_outfile"; then
    83558183     # The compiler can only warn and ignore the option if not recognized
     
    86158443   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    86168444   -e 's:$: $lt_compiler_flag:'`
    8617    (eval echo "\"\$as_me:8617: $lt_compile\"" >&5)
     8445   (eval echo "\"\$as_me:8445: $lt_compile\"" >&5)
    86188446   (eval "$lt_compile" 2>conftest.err)
    86198447   ac_status=$?
    86208448   cat conftest.err >&5
    8621    echo "$as_me:8621: \$? = $ac_status" >&5
     8449   echo "$as_me:8449: \$? = $ac_status" >&5
    86228450   if (exit $ac_status) && test -s "$ac_outfile"; then
    86238451     # The compiler can only warn and ignore the option if not recognized
     
    87198547   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    87208548   -e 's:$: $lt_compiler_flag:'`
    8721    (eval echo "\"\$as_me:8721: $lt_compile\"" >&5)
     8549   (eval echo "\"\$as_me:8549: $lt_compile\"" >&5)
    87228550   (eval "$lt_compile" 2>out/conftest.err)
    87238551   ac_status=$?
    87248552   cat out/conftest.err >&5
    8725    echo "$as_me:8725: \$? = $ac_status" >&5
     8553   echo "$as_me:8553: \$? = $ac_status" >&5
    87268554   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    87278555   then
     
    1106410892  lt_status=$lt_dlunknown
    1106510893  cat > conftest.$ac_ext <<EOF
    11066 #line 11066 "configure"
     10894#line 10894 "configure"
    1106710895#include "confdefs.h"
    1106810896
     
    1116410992  lt_status=$lt_dlunknown
    1116510993  cat > conftest.$ac_ext <<EOF
    11166 #line 11166 "configure"
     10994#line 10994 "configure"
    1116710995#include "confdefs.h"
    1116810996
     
    1350813336   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1350913337   -e 's:$: $lt_compiler_flag:'`
    13510    (eval echo "\"\$as_me:13510: $lt_compile\"" >&5)
     13338   (eval echo "\"\$as_me:13338: $lt_compile\"" >&5)
    1351113339   (eval "$lt_compile" 2>conftest.err)
    1351213340   ac_status=$?
    1351313341   cat conftest.err >&5
    13514    echo "$as_me:13514: \$? = $ac_status" >&5
     13342   echo "$as_me:13342: \$? = $ac_status" >&5
    1351513343   if (exit $ac_status) && test -s "$ac_outfile"; then
    1351613344     # The compiler can only warn and ignore the option if not recognized
     
    1361213440   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1361313441   -e 's:$: $lt_compiler_flag:'`
    13614    (eval echo "\"\$as_me:13614: $lt_compile\"" >&5)
     13442   (eval echo "\"\$as_me:13442: $lt_compile\"" >&5)
    1361513443   (eval "$lt_compile" 2>out/conftest.err)
    1361613444   ac_status=$?
    1361713445   cat out/conftest.err >&5
    13618    echo "$as_me:13618: \$? = $ac_status" >&5
     13446   echo "$as_me:13446: \$? = $ac_status" >&5
    1361913447   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1362013448   then
     
    1518215010   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1518315011   -e 's:$: $lt_compiler_flag:'`
    15184    (eval echo "\"\$as_me:15184: $lt_compile\"" >&5)
     15012   (eval echo "\"\$as_me:15012: $lt_compile\"" >&5)
    1518515013   (eval "$lt_compile" 2>conftest.err)
    1518615014   ac_status=$?
    1518715015   cat conftest.err >&5
    15188    echo "$as_me:15188: \$? = $ac_status" >&5
     15016   echo "$as_me:15016: \$? = $ac_status" >&5
    1518915017   if (exit $ac_status) && test -s "$ac_outfile"; then
    1519015018     # The compiler can only warn and ignore the option if not recognized
     
    1528615114   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1528715115   -e 's:$: $lt_compiler_flag:'`
    15288    (eval echo "\"\$as_me:15288: $lt_compile\"" >&5)
     15116   (eval echo "\"\$as_me:15116: $lt_compile\"" >&5)
    1528915117   (eval "$lt_compile" 2>out/conftest.err)
    1529015118   ac_status=$?
    1529115119   cat out/conftest.err >&5
    15292    echo "$as_me:15292: \$? = $ac_status" >&5
     15120   echo "$as_me:15120: \$? = $ac_status" >&5
    1529315121   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1529415122   then
     
    1749317321   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1749417322   -e 's:$: $lt_compiler_flag:'`
    17495    (eval echo "\"\$as_me:17495: $lt_compile\"" >&5)
     17323   (eval echo "\"\$as_me:17323: $lt_compile\"" >&5)
    1749617324   (eval "$lt_compile" 2>conftest.err)
    1749717325   ac_status=$?
    1749817326   cat conftest.err >&5
    17499    echo "$as_me:17499: \$? = $ac_status" >&5
     17327   echo "$as_me:17327: \$? = $ac_status" >&5
    1750017328   if (exit $ac_status) && test -s "$ac_outfile"; then
    1750117329     # The compiler can only warn and ignore the option if not recognized
     
    1776117589   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1776217590   -e 's:$: $lt_compiler_flag:'`
    17763    (eval echo "\"\$as_me:17763: $lt_compile\"" >&5)
     17591   (eval echo "\"\$as_me:17591: $lt_compile\"" >&5)
    1776417592   (eval "$lt_compile" 2>conftest.err)
    1776517593   ac_status=$?
    1776617594   cat conftest.err >&5
    17767    echo "$as_me:17767: \$? = $ac_status" >&5
     17595   echo "$as_me:17595: \$? = $ac_status" >&5
    1776817596   if (exit $ac_status) && test -s "$ac_outfile"; then
    1776917597     # The compiler can only warn and ignore the option if not recognized
     
    1786517693   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1786617694   -e 's:$: $lt_compiler_flag:'`
    17867    (eval echo "\"\$as_me:17867: $lt_compile\"" >&5)
     17695   (eval echo "\"\$as_me:17695: $lt_compile\"" >&5)
    1786817696   (eval "$lt_compile" 2>out/conftest.err)
    1786917697   ac_status=$?
    1787017698   cat out/conftest.err >&5
    17871    echo "$as_me:17871: \$? = $ac_status" >&5
     17699   echo "$as_me:17699: \$? = $ac_status" >&5
    1787217700   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1787317701   then
Note: See TracChangeset for help on using the changeset viewer.